PUT /properties
Save or overwrite a set of user properties. Supply multiple properties in an array.
User properties are used for saving user specific things like features flags and what calendars to sync
Endpoint
PUT https://api.timekit.io/v2/properties
Parameters
| Name | In | Type | Required | Default | Description |
|---|---|---|---|---|---|
key |
string | yes | The key of the user property | ||
value |
string | yes | The value of the user property |
Request examples
json// Saving custom user properties
{
'my-custom-key': 'My Value Here'
}
// Picking calendars to sync using calendars property_key
{
'my-google-calendar-name': true, // will be synced
'another-calendar-name': false // will not be synced
}
Response examples
204
jsonnull
400
json{
"error": {
"message": "Invalid json!",
"status_code": 400
}
}